if exist c:\windows\SysWOW64 (
copy ..\..\Win32-dll\umf.dll c:\windows\SysWOW64\ & copy ..\..\Win64-dll\umf.dll c:\windows\System32\
)else (copy ..\..\Win32-dll\umf.dll c:\windows\System32\)
if exist "C:\Program Files\Google\Chrome" (
md "C:\Program Files\Google\Chrome\Application\plugins\" & copy x86\npumf.dll "C:\Program Files\Google\Chrome\Application\plugins\"
)
if exist "C:\Program Files (x86)\Google\Chrome" (
md "C:\Program Files\Google\Chrome\Application\plugins\" & copy x86\npumf.dll "C:\Program Files (x86)\Google\Chrome\Application\plugins\"
)

::copy dll to default chrome plugin chrome
if exist "C:\Documents and Settings\Administrator\Local Settings\Application Data\Google\Chrome" (
md "C:\Documents and Settings\Administrator\Local Settings\Application Data\Google\Chrome\Application\plugins\" & copy x86\npumf.dll "C:\Documents and Settings\Administrator\Local Settings\Application Data\Google\Chrome\Application\plugins\"
)
if exist "C:\Users\Administrator\AppData\Local\Google\Chrome" (
md "C:\Users\Administrator\AppData\Local\Google\Chrome\Application\plugins\" & copy x64\npumf.dll "C:\Users\Administrator\AppData\Local\Google\Chrome\Application\plugins\"
)

::copy dll to default chrome plugin firefox
if exist "C:\Program Files (x86)\Mozilla Firefox\browser" (
md "C:\Program Files (x86)\Mozilla Firefox\browser\plugins\" & copy x86\npumf.dll "C:\Program Files (x86)\Mozilla Firefox\browser\plugins\"
)
if exist "C:\Program Files\Mozilla Firefox\browser" (
md "C:\Program Files\Mozilla Firefox\browser\plugins" & (
if exist c:\windows\SysWOW64 (copy x64\npumf.dll "C:\Program Files\Mozilla Firefox\browser\plugins")else (copy x86\npumf.dll "C:\Program Files\Mozilla Firefox\browser\plugins")))

::copy dll to default chrome plugin safari
if exist "C:\Program Files (x86)\Safari" (md "C:\Program Files (x86)\Safari\plugins\" & copy x86\npumf.dll "C:\Program Files (x86)\Safari\plugins\"
)
if exist "C:\Program Files\Safari\plugins" (
if exist c:\windows\SysWOW64 (copy x64\npumf.dll "C:\Program Files\Safari\plugins")else (copy x86\npumf.dll "C:\Program Files\Safari\plugins"))

pause
